Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.query
Class FindAssertionsAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
              edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLModelTestAction
                  edu.stanford.smi.protegex.owl.ui.query.FindAssertionsAction

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, IconOwner, OWLModelAction, ActionListener, Serializable, Cloneable, EventListener, Action

    public class FindAssertionsAction

extends AbstractOWLModelTestAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
`owlModel, testManager`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.actions.OWLModelAction
`ICON, NAME, PATH_SEPARATOR, SUITABILITY`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FindAssertionsAction(OWLModel owlModel)`

Method Summary
`String` | `getIconFileName()` Gets the relative name of an (optional) icon.
`String` | `getName()` Gets the human readable name of this action, to be used as menu item text and tool bar button tool tip text.
`protected OWLTest[]` | `getOWLTests()`
`protected OWLTestResultsPanel` | `getTestResultsPanel(OWLModel owlModel, List results)`
`protected List` | `run(OWLTest[] tests, Task task)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLModelTestAction
`dispose, getIconResourceClass, getMenubarPath, getToolbarPath, isSuitable, notifyPropertyChangeListeners, run`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
`actionPerformed, runOWLClsTest, runOWLInstanceTest, runOWLModelTest, runOWLPropertyTest, showAllTestsPassedMessage, showResults`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.actions.OWLModelAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### FindAssertionsAction

    public FindAssertionsAction(OWLModel owlModel)

Method Detail

### getTestResultsPanel

    protected OWLTestResultsPanel getTestResultsPanel(OWLModel owlModel,
                                                      List results)

  Overrides:
    `getTestResultsPanel` in class `AbstractOWLTestAction`

### getName

    public String getName()

  Description copied from interface: `OWLModelAction`
  Gets the human readable name of this action, to be used as menu item text and tool bar button tool tip text.

  Returns:
    the name (must not be null)

### getIconFileName

    public String getIconFileName()

  Description copied from interface: `IconOwner`
  Gets the relative name of an (optional) icon.

  Returns:
    the icon name such as `"classify.gif"` or null

### getOWLTests

    protected OWLTest[] getOWLTests()

  Overrides:
    `getOWLTests` in class `AbstractOWLTestAction`

### run

    protected List run(OWLTest[] tests,
                       Task task)

  Specified by:
    `run` in class `AbstractOWLTestAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.